Your message dated Tue, 01 Sep 2015 05:34:30 +0000
with message-id <e1zwedg-0000rs...@franck.debian.org>
and subject line Bug#797460: fixed in service-wrapper-java 3.5.26-3
has caused the Debian Bug report #797460,
regarding unsatisfied dependencies & fix build with --as-needed
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
797460: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=797460
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: service-wrapper-java
Version: 3.5.26-2
Severity: serious
Tags: sid stretch patch

service-wrapper/arm64 unsatisfiable Depends: libservice-wrapper-jni (>= 
3.5.26-2)
service-wrapper/ppc64el unsatisfiable Depends: libservice-wrapper-jni (>= 
3.5.26-2)
service-wrapper/s390x unsatisfiable Depends: libservice-wrapper-jni (>= 
3.5.26-2)

the architecture list of the packages must match. why not just use any?

also attached a fix to build with ld --as-needed
    - debian/patches/fix-as-needed-ppc.patch:
      + Fix FTBFS on ppc: "[exec] wrapper.c:(.text+0xd7e8):
        undefined reference to `ceil'".
  * Update architecture list for libservice-wrapper-jni.
 
diff -Nru service-wrapper-java-3.5.26/debian/control 
service-wrapper-java-3.5.26/debian/control
--- service-wrapper-java-3.5.26/debian/control  2015-07-13 05:57:10.000000000 
+0200
+++ service-wrapper-java-3.5.26/debian/control  2015-08-30 21:31:18.000000000 
+0200
@@ -19,7 +20,7 @@
 Homepage: http://wrapper.tanukisoftware.com
 
 Package: service-wrapper
-Architecture: arm64 amd64 armel armhf i386 ia64 powerpc ppc64el mips mipsel 
s390x
+Architecture: arm64 amd64 armel armhf i386 ia64 powerpc ppc64 ppc64el mips 
mipsel s390x x32
 Depends:  ${shlibs:Depends}, ${misc:Depends},
  libservice-wrapper-java (>= ${source:Version}),
  libservice-wrapper-jni (>= ${source:Version})
@@ -47,7 +48,7 @@
 
 
 Package: libservice-wrapper-jni
-Architecture: amd64 armel armhf i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc 
mips mipsel
+Architecture: arm64 amd64 armel armhf i386 ia64 powerpc ppc64 ppc64el mips 
mipsel s390x x32
 Depends: ${shlibs:Depends}, ${misc:Depends},
  default-jre-headless | java5-runtime-headless | java6-runtime-headless | 
java7-runtime-headless
 Suggests: libservice-wrapper-doc
diff -Nru service-wrapper-java-3.5.26/debian/patches/fix-as-needed-ppc.patch 
service-wrapper-java-3.5.26/debian/patches/fix-as-needed-ppc.patch
--- service-wrapper-java-3.5.26/debian/patches/fix-as-needed-ppc.patch  
1970-01-01 01:00:00.000000000 +0100
+++ service-wrapper-java-3.5.26/debian/patches/fix-as-needed-ppc.patch  
2015-08-30 21:31:18.000000000 +0200
@@ -0,0 +1,29 @@
+Description: Fix FTBFS on ppc:
+ "[exec] wrapper.c:(.text+0xd7e8): undefined reference to `ceil'"
+Author: Andreas Moog <am...@ubuntu.com>
+Bug: https://sourceforge.net/p/wrapper/bugs/285/
+
+diff -pruN -x '*~' wrapper_3.5.25_src.orig/src/c/Makefile-linux-ppc-32.make 
wrapper_3.5.25_src/src/c/Makefile-linux-ppc-32.make
+--- wrapper_3.5.25_src.orig/src/c/Makefile-linux-ppc-32.make   2015-01-04 
01:21:32.915068936 +0100
++++ wrapper_3.5.25_src/src/c/Makefile-linux-ppc-32.make        2015-01-04 
01:23:18.271591362 +0100
+@@ -33,7 +33,7 @@ init:
+       if test ! -d .deps; then mkdir .deps; fi
+ 
+ wrapper: $(wrapper_SOURCE)
+-      $(COMPILE) -lm -pthread $(LDFLAGS) $(wrapper_SOURCE) -o $(BIN)/wrapper
++      $(COMPILE) -pthread $(LDFLAGS) $(wrapper_SOURCE) -lm -o $(BIN)/wrapper
+ 
+ libwrapper.so: $(libwrapper_so_OBJECTS)
+       ${COMPILE} -shared $(LDFLAGS) $(libwrapper_so_OBJECTS) -o 
$(LIB)/libwrapper.so
+diff -pruN -x '*~' wrapper_3.5.25_src.orig/src/c/Makefile-linux-ppc-64.make 
wrapper_3.5.25_src/src/c/Makefile-linux-ppc-64.make
+--- wrapper_3.5.25_src.orig/src/c/Makefile-linux-ppc-64.make   2015-01-04 
01:21:32.915068936 +0100
++++ wrapper_3.5.25_src/src/c/Makefile-linux-ppc-64.make        2015-01-04 
01:23:02.287512123 +0100
+@@ -33,7 +33,7 @@ init:
+       if test ! -d .deps; then mkdir .deps; fi
+ 
+ wrapper: $(wrapper_SOURCE)
+-      $(COMPILE) -lm -pthread $(LDFLAGS) $(wrapper_SOURCE) -o $(BIN)/wrapper
++      $(COMPILE) -pthread $(LDFLAGS) $(wrapper_SOURCE) -lm -o $(BIN)/wrapper
+ 
+ libwrapper.so: $(libwrapper_so_OBJECTS)
+       ${COMPILE} -shared $(LDFLAGS) $(libwrapper_so_OBJECTS) -o 
$(LIB)/libwrapper.so
diff -Nru service-wrapper-java-3.5.26/debian/patches/series 
service-wrapper-java-3.5.26/debian/patches/series
--- service-wrapper-java-3.5.26/debian/patches/series   2015-07-13 
05:57:10.000000000 +0200
+++ service-wrapper-java-3.5.26/debian/patches/series   2015-08-30 
21:31:18.000000000 +0200
@@ -2,3 +2,4 @@
 0002-kfreebsd-support.patch
 0003-additional-makefiles.patch
 0004-ldflags.patch
+fix-as-needed-ppc.patch

--- End Message ---
--- Begin Message ---
Source: service-wrapper-java
Source-Version: 3.5.26-3

We believe that the bug you reported is fixed in the latest version of
service-wrapper-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 797...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
tony mancill <tmanc...@debian.org> (supplier of updated service-wrapper-java 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 31 Aug 2015 21:56:13 -0700
Source: service-wrapper-java
Binary: service-wrapper libservice-wrapper-java libservice-wrapper-jni 
libservice-wrapper-doc
Architecture: source all amd64
Version: 3.5.26-3
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: tony mancill <tmanc...@debian.org>
Description:
 libservice-wrapper-doc - Jar daemon wrapper (javadoc files)
 libservice-wrapper-java - Jar daemon wrapper java libraries
 libservice-wrapper-jni - Jar daemon wrapper JNI libraries
 service-wrapper - Jar daemon wrapper
Closes: 797460
Changes:
 service-wrapper-java (3.5.26-3) unstable; urgency=medium
 .
   * Apply patch to fix FTBFS on ppc and adjust arch list.
     Thank you to Matthias Klose for the patch.  (Closes: #797460)
Checksums-Sha1:
 ba31b23c856c3715bf0b85e27b5d9c1fdd9f13a7 2620 service-wrapper-java_3.5.26-3.dsc
 bb898cb6539154efa69413f5e264ae0063e4a0db 10712 
service-wrapper-java_3.5.26-3.debian.tar.xz
 4dbd66c6f18049e675961ab512cb4bf2395f9f6b 172712 
libservice-wrapper-doc_3.5.26-3_all.deb
 7c3f7ca04e90d3720a0f2e2a697ed98282bfd14e 319704 
libservice-wrapper-java_3.5.26-3_all.deb
 15640dec8e847fadb18a1833111adb8ac170321e 86726 
libservice-wrapper-jni_3.5.26-3_amd64.deb
 94cb8cee62b36ce068890395228b5f32e35a1590 175696 
service-wrapper_3.5.26-3_amd64.deb
Checksums-Sha256:
 3c79b2a802af4c90d5d22d0e226a2a25847ff5dfe2383aed8d6620923fa56f5e 2620 
service-wrapper-java_3.5.26-3.dsc
 261c0356daed5eee27d9b252b02ed29068c1396ff91600984bcb396afba0d954 10712 
service-wrapper-java_3.5.26-3.debian.tar.xz
 c0a8d560f7263d2a15bb3949c94ad0489ca32b5b3652da30356d113e3421e640 172712 
libservice-wrapper-doc_3.5.26-3_all.deb
 d47f27b25c231c57f9f76622b38c5ab5c5b74d072a170a91f4fa000c52109b88 319704 
libservice-wrapper-java_3.5.26-3_all.deb
 2ae8c5275d944e11b928e101a56eb273e3da5d3d218cddbb4af22ae96484c7ce 86726 
libservice-wrapper-jni_3.5.26-3_amd64.deb
 b9ea26b0f04ec161b0087d881bb89e1ec2e43891c68cf2c1c640ea17d20e4581 175696 
service-wrapper_3.5.26-3_amd64.deb
Files:
 1a964263b3bccce5509ab4f10943e154 2620 java optional 
service-wrapper-java_3.5.26-3.dsc
 3f9a73831784c2fb303b748bd5eab5f4 10712 java optional 
service-wrapper-java_3.5.26-3.debian.tar.xz
 501534c7b242a18aab659f486ee589d5 172712 doc optional 
libservice-wrapper-doc_3.5.26-3_all.deb
 c0f1140c1e8c4fab86400aac48f95d3c 319704 java optional 
libservice-wrapper-java_3.5.26-3_all.deb
 691383636212e26adca3df52491fc517 86726 java optional 
libservice-wrapper-jni_3.5.26-3_amd64.deb
 78e311f1d745f8a6fdcc9baeec3b50c9 175696 java optional 
service-wrapper_3.5.26-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJV5TUkAAoJECHSBYmXSz6Wa2IQAM5R2BEZ8JWA5fTaOd4rVTJX
kg2hYFrRv3Q8B3n+7iJ3e6A4NUYurPDHsx8g5Ajg7h/mjWPfO7ZEtm/B0C7iV1xV
MiEA54AOs/g+pNqyLDyOX4Q3iiKbJnJbgIxAtDPxWYRxzrVTqKW3hy5dKvvSfgsL
qucjjBUZsiq7MpUzwm4dWjPVoHErueD7sdyY1/3wL+rkHPLD1I9DaH5jXz+0vXrq
RD3lJkFkZeGi8Ax7tMbUA/tpL+SC1iM+ifTr/tPlnF4QVEB8PFvfXD0/anMhOVFZ
SgOvWnBi8J9yAG9MPPRZMNmf2g38PM8Hqy7Ej1oCTjT+Fbi7JMmvP7GA2TEck1ul
NOuIl5otA2YPNflmx7gis8eYlATGIFTwnP+MttYtNXuLWMh/oH+kkVqgsTaK3wKh
azSs6ezMzkeshBDAYExUqFlHDxqZMLvzwpK6hogcby6uYez7vL6khpQvFf7jTxfb
N3Ck5/OUFDyML0NylryyVhxeOzwbj+VNgSB/g0fR3HZR+Y/yf6VbU90V7zV6H+/R
1qK0FQ/B3z/C1UgxchFy5MihHpg9ARBlOVPPowo4ciutXxJAKN3Yq0Vk1mC6whVX
+tifK8JwhLFzTtMiF1p3ctPUBBvloLHEsX5gaqnh7nDKfWUW6O5/KqCcCvsz0BMY
yHfdtV3slfPAGb6vLgH8
=GD1V
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to